Manage leads, contacts, companies, deals, pipelines, and all customer relationship data.
Activities collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Activities. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/activities?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Activity record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/activities \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Activity created successfully"
}Clients collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Clients. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/clients?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Client record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/clients \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Client created successfully"
}Companies collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Companies. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/companies?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Company record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/companies \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Company created successfully"
}Contacts collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Contacts. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/contacts?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Contact record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/contacts \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Contact created successfully"
}Contracts collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Contracts. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/contracts?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Contract record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/contracts \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Contract created successfully"
}CrmContractTypes collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of CrmContractTypes. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/crm-contract-types?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new CrmContractType record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/crm-contract-types \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "CrmContractType created successfully"
}CrmDealTypes collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of CrmDealTypes. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/crm-deal-types?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new CrmDealType record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/crm-deal-types \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "CrmDealType created successfully"
}CrmIndustries collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of CrmIndustries. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/crm-industries?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new CrmIndustry record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/crm-industries \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "CrmIndustry created successfully"
}CrmLeadSources collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of CrmLeadSources. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/crm-lead-sources?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new CrmLeadSource record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/crm-lead-sources \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "CrmLeadSource created successfully"
}CrmPriorities collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of CrmPriorities. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/crm-priorities?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new CrmPriority record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/crm-priorities \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "CrmPriority created successfully"
}Deals collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Deals. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/deals?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Deal record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/deals \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Deal created successfully"
}Leads collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Leads. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/leads?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Lead record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/leads \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Lead created successfully"
}Pipelines collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Pipelines. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/pipelines?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Pipeline record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/pipelines \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Pipeline created successfully"
}